> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PATCH /v2/webhook



## OpenAPI

````yaml PATCH /v2/webhook
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v2/webhook:
    patch:
      tags:
        - webhook
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  example: https://api.site.com/webhook
                enable:
                  type: boolean
                  default: true
                rateLimit:
                  type:
                    - integer
                    - 'null'
                  minimum: 1
                  example: 300
                  description: Request per second
                events:
                  type: array
                  uniqueItems: true
                  description: List event.id from /v2/webhook/event
                  items:
                    type: string
                    example: v1.payment.create
              required:
                - url
      responses:
        '204':
          $ref: '#/components/responses/OKResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '409':
          $ref: '#/components/responses/Conflict'
        '422':
          $ref: '#/components/responses/ValidationError'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - bearerAuth: []
components:
  responses:
    OKResponse:
      description: OK
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Bad Request
              message:
                type: string
              status:
                type: integer
                example: 400
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Forbidden
              message:
                type: string
                example: String
              status:
                type: integer
                example: 403
    Conflict:
      description: Conflict
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: The entity already exists
              status:
                type: integer
                example: 409
    ValidationError:
      description: Validation Error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: ERROR
              errors:
                type: object
                example:
                  email: Email cannot be blank.
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Too Many Requests
              message:
                type: string
              status:
                type: integer
                example: 429
          examples:
            default:
              value:
                name: Too Many Requests
                message: string
                status: 429
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````